"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/private/var/folders/0n/_7v_bpwd1w71f8l0b0kjw5br0000gn/T/cirrus-ci-build/build/temp.macosx-11.0-arm64-cpython-38/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x10fcad0d0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x10fcad160>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10fcad1f0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10fcad280>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x10fcad310>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x10fcad3a0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10fcad430>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10fcad4c0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10fcad550>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10fcad5e0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x10fcad670>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x10fcad700>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x10fcad790>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x10fcad820>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x10fcad8b0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x10fcad940>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x10fcad9d0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x10fcada60>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x10fcadaf0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x10fcadb80>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x10fcadc10>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x10fcadca0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x10fcadd30>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x10fcaddc0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x10fcadee0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x10fcade50>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x10fcadf70>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x10fcb1040>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x10fcb10d0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x10fcb1160>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x10fcb11f0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x10fcb1280>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x10fcb1310>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x10fcb13a0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x10fcb1430>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x10fcb14c0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x10fcb1550>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x10fcb15e0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10fcb1670>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10fcb1700>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10fcb1790>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x10fcb1820>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x10fcb18b0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x10fcb1940>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x10fcb19d0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x10fcb1a60>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x10fcb1af0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10fcb1b80>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10fcb1c10>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x10fcb1ca0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x10fcb1d30>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x10fcb1dc0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x10fcb1e50>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x10fcb1ee0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x10fcb1f70>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x10fcb6040>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x10fcb60d0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10fcb6160>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x10fcb61f0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x10fcb6280>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x10fcb6310>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x10fcb63a0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x10fcb6430>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x10fcb64c0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x10fcb6550>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x10fcb6700>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x10fcb65e0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x10fcb6790>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x10fcb6820>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10fcb68b0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x10fcb6940>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x10fcb69d0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10fcb6af0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x10fcb6a60>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x10fcb6b80>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x10fcb6c10>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x10fcb6ca0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x10fcb6dc0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x10fcb6d30>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x10fcb6e50>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x10fcb6ee0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x10fcb6f70>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x10fcba040>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x10fcba0d0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x10fcba160>)]
name: str = 'fr_HOCCN'
